Pular para o conteúdo principal
Verify Verification Code
curl --request POST \
  --url https://api.spherepay.co/v2/customer/{id}/otp-verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "email",
  "code": "123456"
}
'
import requests

url = "https://api.spherepay.co/v2/customer/{id}/otp-verify"

payload = {
"type": "email",
"code": "123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'email', code: '123456'})
};

fetch('https://api.spherepay.co/v2/customer/{id}/otp-verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customerId": "customer_f31121c389624d3697cbf3ea8830b7a4",
  "verifiedAt": "2026-03-09T20:46:31.305Z"
}
{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}
Verifique um código OTP que foi previamente enviado ao endereço de e-mail ou número de telefone de um cliente pelo endpoint Enviar Código de Verificação. Uma resposta bem-sucedida confirma que o cliente controla o canal de contato especificado e avança seus critérios de verificação KYC. Se o código estiver expirado ou incorreto, envie um novo código e solicite que o cliente tente novamente.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string
obrigatório

Customer ID

Exemplo:

"customer_f31121c389624d3697cbf3ea8830b7a4"

Corpo

application/json
type
enum<string>
obrigatório

Type of verification code

Opções disponíveis:
phone,
email
Exemplo:

"email"

code
string
obrigatório

Verification code

Required string length: 1 - 10
Exemplo:

"123456"

Resposta

customerId
string
obrigatório

Customer ID

Exemplo:

"customer_f31121c389624d3697cbf3ea8830b7a4"

verifiedAt
string
obrigatório

ISO 8601 formatted date and time of the verification code verification

Exemplo:

"2026-03-09T20:46:31.305Z"

Última modificação em 22 de junho de 2026